Path Firewall Rules

Path Firewall Rules
Get firewall rules for specified client server ips and port/protocol

Get firewall rules applicable in path for a client IP and server IP for specified port/protocol.

Request
URI
POST
https://{api_host}/api/ni/path/firewall-rules
COPY
Request Body

VMware Identity Manager configuration details

PathFirewallRulesRequest of type(s) application/json
Required
{
    "source_ip_address": "2.2.2.2",
    "destination_ip_address": "1.1.1.1",
    "port": 80,
    "protocol": "TCP",
    "time": 0
}
string
source_ip_address
Optional

Source IP configured in firewall rule

string
destination_ip_address
Optional

Destination IP configured in firewall rule

integer As int32 As int32
port
Optional

Port number configured in firewall rule

string
protocol
Optional

Protocol configured in firewall rule

integer As int64 As int64
time
Optional

Timestamp of object

Authentication
This operation uses the following authentication methods.
Responses
200

Success

Returns PathFirewallRules of type(s) application/json
{
    "firewalls": [
        {
            "firewall_entity_id": {
                "entity_id": "string",
                "entity_type": "VirtualMachine",
                "entity_name": "string"
            },
            "vendor_info": {
                "vendor_ids": [
                    {
                        "id_type": "string",
                        "id_value": "string"
                    }
                ],
                "manager": {
                    "entity_id": "string",
                    "entity_type": "VirtualMachine",
                    "entity_name": "string"
                }
            },
            "manager": {
                "entity_id": "string",
                "entity_type": "VirtualMachine",
                "entity_name": "string"
            },
            "rules": [
                {
                    "entity_id": "1000:104:12213212",
                    "name": "My Name",
                    "entity_type": "VirtualMachine",
                    "rule_id": "string",
                    "section_id": "string",
                    "section_name": "string",
                    "sequence_number": 0,
                    "source_any": false,
                    "destination_any": false,
                    "service_any": false,
                    "anySrcInterface": false,
                    "anyDstInterface": false,
                    "sources": [
                        {
                            "entity_id": "string",
                            "entity_type": "VirtualMachine",
                            "entity_name": "string"
                        }
                    ],
                    "destinations": [
                        {
                            "entity_id": "string",
                            "entity_type": "VirtualMachine",
                            "entity_name": "string"
                        }
                    ],
                    "services": [
                        {
                            "entity_id": "string",
                            "entity_type": "VirtualMachine",
                            "entity_name": "string"
                        }
                    ],
                    "action": "string",
                    "disabled": false,
                    "source_inversion": false,
                    "destination_inversion": false,
                    "port_ranges": [
                        {
                            "start": 0,
                            "end": 0,
                            "display": "string",
                            "iana_name": "string",
                            "iana_port_display": "string"
                        }
                    ]
                }
            ]
        }
    ]
}
array of object
firewalls
Optional

firewalls


400

Bad Request

Returns BadRequestResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/ni/path/firewall-rules